com.thinkaurelius.titan.graphdb.internal

## Interface InternalVertex

- All Superinterfaces:
    com.tinkerpop.blueprints.Element, Idfiable, InternalElement, Removable, TitanElement, TitanVertex, com.tinkerpop.blueprints.Vertex
  All Known Subinterfaces:
    InternalRelationType, SystemRelationType
  All Known Implementing Classes:
    AbstractVertex, BaseKey, BaseLabel, BaseRelationType, BaseVertexLabel, CacheVertex, EdgeLabelVertex, EmptyRelationType, EmptyVertex, FulgoraNeighborVertex, FulgoraVertex, ImplicitKey, PropertyKeyVertex, RelationTypeVertex, StandardVertex, TitanSchemaVertex, VertexLabelVertex

      public interface InternalVertex
      extends TitanVertex, InternalElement

  Internal Vertex interface adding methods that should only be used by Titan
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addRelation(InternalRelation e)` Add a new relation to the vertex
    `List<InternalRelation>` | `getAddedRelations(com.google.common.base.Predicate<InternalRelation> query)` Returns an iterable over all newly added relations incident on this vertex that match the given predicate
    `boolean` | `hasAddedRelations()` Whether this vertex has added relations
    `boolean` | `hasLoadedRelations(SliceQuery query)` Returns true if the results for the given query have already been loaded for this vertex and are locally cached.
    `boolean` | `hasRemovedRelations()` Whether this vertex has removed relations
    `InternalVertex` | `it()` Returns this element in the context of the current transaction.
    `EntryList` | `loadRelations(SliceQuery query, Retriever<SliceQuery,EntryList> lookup)` Returns all relations that match the given query.
    `VertexCentricQueryBuilder` | `query()` Starts a new `TitanVertexQuery` for this vertex.
    `void` | `removeRelation(InternalRelation e)` Deleted relation e from the adjacency list of this vertex and updates the state of the vertex to reflect the modification.

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, isHidden, setId, tx`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

- - ### Method Detail

    - #### it

          InternalVertex it()

      Description copied from interface: `InternalElement`
      Returns this element in the context of the current transaction.
      Specified by:
        `it` in interface `InternalElement`
      Returns:

    - #### removeRelation

          void removeRelation(InternalRelation e)

      Deleted relation e from the adjacency list of this vertex and updates the state of the vertex to reflect the modification. Note that this method tolerates the prior removal of the vertex and hence does not throw an exception if the relation could not actually be removed from the adjacency list. This behavior was chosen to allow relation deletion while iterating over the list of adjacent relations, in which case the relation deletion is taken care of by the iterator and only vertex status update needs to be executed.
      Parameters:
        `e` - TitanRelation to be removed

    - #### addRelation

          boolean addRelation(InternalRelation e)

      Add a new relation to the vertex
      Parameters:
        `e` -
      Returns:

    - #### getAddedRelations

          List<InternalRelation> getAddedRelations(com.google.common.base.Predicate<InternalRelation> query)

      Returns an iterable over all newly added relations incident on this vertex that match the given predicate
      Parameters:
        `query` -
      Returns:

    - #### loadRelations

          EntryList loadRelations(SliceQuery query,
                                Retriever<SliceQuery,EntryList> lookup)

      Returns all relations that match the given query. If these matching relations are not currently held in memory, it uses the given `Retriever` to retrieve the edges from backend storage.
      Parameters:
        `query` -
        `lookup` -
      Returns:

    - #### hasLoadedRelations

          boolean hasLoadedRelations(SliceQuery query)

      Returns true if the results for the given query have already been loaded for this vertex and are locally cached.
      Parameters:
        `query` -
      Returns:

    - #### hasRemovedRelations

          boolean hasRemovedRelations()

      Whether this vertex has removed relations
      Returns:

    - #### hasAddedRelations

          boolean hasAddedRelations()

      Whether this vertex has added relations
      Returns:

    - #### query

          VertexCentricQueryBuilder query()

      Description copied from interface: `TitanVertex`
      Starts a new `TitanVertexQuery` for this vertex.

      Initializes and returns a new `TitanVertexQuery` based on this vertex.
      Specified by:
        `query` in interface `TitanVertex`
      Specified by:
        `query` in interface `com.tinkerpop.blueprints.Vertex`
      Returns:
        New TitanQuery for this vertex
      See Also:
        `TitanVertexQuery`

Copyright © 2012–2014. All rights reserved.